import {scaleOrdinal} from 'd3';

const colorScale = scaleOrdinal()
	.domain(['apple','lemon'])
	.range(['#d90b0b' ,'#f7f307']);

const radiusScale = scaleOrdinal()
	.domain(['apple','lemon'])
	.range([55 , 40]);

export const fruitBowl = (selection , props) => {
  const {fruits ,height} = props;
  
  const bowl = selection.selectAll('rect')
  		.data([null])
  	.enter().append('rect')
    	.attr('y' ,110)
  		.attr('width' ,650)
      .attr('height' ,250)
  		.attr('rx', 250/2);
  
  
  const groups = selection.selectAll('g')
  	.data(fruits); //data join
  const groupsEnter = groups.enter().append('g');
  groupsEnter
  	.merge(groups)
  		.attr('transform' ,(d,i) => 
            `translate(${i*120 +60},${height/2})`);
  groups.exit().remove();
  
  groupsEnter.append('circle')
  	.merge( groups.select('circle'))
  					.attr('r',d => radiusScale(d.type))
  					.attr('fill' , d => colorScale(d.type));
  
  groupsEnter.append('text')
  	.merge( groups.select('text'))
          	.text(d=>d.type)
  					.attr('y' , 80);
}